BYTEORDER(3N)

NAME
htonl, htons, ntohl, ntohs - convert values between host and network byte order

SYNOPSIS
#include <sys/types.h>
#include <netinet/in.h>

netlong = htonl(hostlong);
u_long netlong, hostlong;

netshort = htons(hostshort);
u_short netshort, hostshort;

hostlong = ntohl(netlong);
u_long hostlong, netlong;

hostshort = ntohs(netshort);
u_short hostshort, netshort;

DESCRIPTION
These routines convert 16 and 32 bit quantities between network byte order and host byte order. On machines such as the SUN these routines are defined as null macros in the include file <netinet/in.h>.

These routines are most often used in conjunction with Internet addresses and ports as returned by gethostbyname(3N) and getservent(3N).

SEE ALSO
gethostbyname(3N), getservent(3N)

BUGS
The VAX handles bytes backwards from most everyone else in the world. This is not expected to be fixed in the near future.